<template>
  <div class="xl:w-screen-xl m-auto py-4 mt-12 px-4 sm:px-0 sm:mt-20">
    <el-page-header :icon="ArrowLeft" @back="goBack">
      <template #content>
        <span class="text-large font-600"> 退出登录 </span>
      </template>
      <div class="login-layout mt-10 sm:w-screen-xl w-full">
        <div class="m-auto flex sm:flex-row flex-col sm:px-0">

        </div>
      </div>
    </el-page-header>
  </div>
</template>
<script setup lang="ts">
  import { ArrowLeft,View,Search } from '@element-plus/icons-vue'
  import {useToken} from "~/composables/configState";
  import UserMenu from "~/pages/user/components/UserMenu.vue";
  import Base from "~/pages/user/components/Base.vue";

  const token = useToken();
  const router = useRouter();
  token.value = '';
  localStorage.clear();
  setTimeout(() => {
    navigateTo('/')
    return;
  }, 1000)

  const goBack = () => {
    router.back(); // 返回上一页
  }

</script>
